| Elektra 0.11.0

Public Member Functions | List of all members
kdb::tools::SpecReader Class Reference

Highlevel interface to build a backend from specification. More...

`#include <specreader.hpp>`

## Public Member Functions
Backends | getBackends ()
void | readSpecification (KeySet const &ks)
| Reads in a specification.
void | checkKey (const Key key)
| Perform some sanity-checks for keys.

## Detailed Description

Highlevel interface to build a backend from specification.

## Member Function Documentation

## ◆ checkKey()

void kdb::tools::SpecReader::checkKey | ( | const Key | key | ) |

Perform some sanity-checks for keys.

Parameters

  key | The key to check.

Exceptions

  CommandAbortException | If a sanity-check fails.

## ◆ getBackends()

Backends kdb::tools::SpecReader::getBackends | ( |  | ) |
| inline

Returns
  backends without resolved needs

See also
  resolveNeeds()

## ◆ readSpecification()

void kdb::tools::SpecReader::readSpecification | ( | KeySet const & | ks | ) |

Reads in a specification.

Adds plugins using BackendBuilder during that.

Parameters

  ks |

The documentation for this class was generated from the following files:

- specreader.hpp
- specreader.cpp